function [ hists1D ] = hist2Dtohist1D( ti,x,histIN )
% Calculate a one-dimensional histogram from a two-dimensional histogram by
% summing over one of the dimensions.
%
% Explanation of input parameters:
%  ti       extra part for the plot title
%  x        x-axis of the incoming histogram
%  histIN   incoming histogram
%  
% Explanation of output variables:
%  hists1D  the one-dimensional histogram

% Do the actual calculation
for i = 1:length(histIN(:,1))
    hists1D(i) = sum(histIN(:,i));   %x
    %hists1D(i) = sum(histIN(i,:));  %y
end

% Plot the found histogram
figure; hold on
plot(x,hists1D,'b')
title(['Histogram over x-divergencies',ti])
ylabel('number of neutrons in bin (for all y-divergencies)')
xlabel('x-divergence [rad]')
grid

end

