function [ Nout, dNout ] = removebg( N, dN, bg, dbg )
% Removes background from data and calculates the new uncertainties.
% 
% Explanation of input parameters:
%  N      the found intensity
%  dN     uncertainty in the intensity
%  bg     the found background
%  dbg    uncertainty in the background
% 
% Explanation of output variables:
%  Nout   new calculated intensity, after the background subtraction
%  dNout  uncertainty in the new intensity

% Perform the calculation
fprintf('Subtracting background from data...\n\n')
Nout  = N - bg;
dNout = sqrt( dN.^2 + dbg^2 );

end

